LiveKit-Token generieren und Agent dispatchen
Öffentlicher Token-Handler über Middleware exponiert (nicht unter /api).
Generiert ein LiveKit-Access-Token, erstellt bei Bedarf einen Raum und dispatcht einen Agenten.
Vollständige URL: https://api.talkturo.com/auth/token.
curl -X GET "https://api.talkturo.com/auth/token?mode=example_string&room=example_string&assistant_id=example_string&account_id=example_string&account_slug=example_string&company_id=example_string&visitor_name=John%20Doe&visitor_phone=%2B1-555-0123&billing_exempt=example_string" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.talkturo.com/auth/token?mode=example_string&room=example_string&assistant_id=example_string&account_id=example_string&account_slug=example_string&company_id=example_string&visitor_name=John%20Doe&visitor_phone=%2B1-555-0123&billing_exempt=example_string"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/auth/token?mode=example_string&room=example_string&assistant_id=example_string&account_id=example_string&account_slug=example_string&company_id=example_string&visitor_name=John%20Doe&visitor_phone=%2B1-555-0123&billing_exempt=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.talkturo.com/auth/token?mode=example_string&room=example_string&assistant_id=example_string&account_id=example_string&account_slug=example_string&company_id=example_string&visitor_name=John%20Doe&visitor_phone=%2B1-555-0123&billing_exempt=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/auth/token?mode=example_string&room=example_string&assistant_id=example_string&account_id=example_string&account_slug=example_string&company_id=example_string&visitor_name=John%20Doe&visitor_phone=%2B1-555-0123&billing_exempt=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"identity": "example_string",
"accessToken": "example_string",
"roomName": "John Doe",
"agentName": "John Doe"
}
GET
/auth/token
GET
Base URLstring
Target server for requests. Edit to use your own host.
Request Preview
Response
Response will appear here after sending the request
Query Parameters
Responses
identitystring
accessTokenstring
roomNamestring
agentNamestring
Was this page helpful?